# samplv1_jack.pro
#
NAME = samplv1

TARGET = $${NAME}_jack
TEMPLATE = app
#INCLUDEPATH = .
LIBS += -ljack -lsndfile
CONFIG += debug

DEFINES += CONFIG_JACK_SESSION

debug {
	DEFINES += CONFIG_DEBUG
}

HEADERS = \
	samplv1.h \
	samplv1_jack.h \
	samplv1_sample.h \
	samplv1_wave.h \
	samplv1_ramp.h \
	samplv1_fx.h \
	samplv1widget.h \
	samplv1widget_env.h \
	samplv1widget_filt.h \
	samplv1widget_sample.h \
	samplv1widget_wave.h \
	samplv1widget_knob.h \
	samplv1widget_preset.h \
	samplv1widget_config.h \
	samplv1widget_jack.h

SOURCES = \
	samplv1.cpp \
	samplv1_jack.cpp \
	samplv1widget.cpp \
	samplv1widget_env.cpp \
	samplv1widget_filt.cpp \
	samplv1widget_sample.cpp \
	samplv1widget_wave.cpp \
	samplv1widget_knob.cpp \
	samplv1widget_preset.cpp \
	samplv1widget_config.cpp \
	samplv1widget_jack.cpp

FORMS = \
	samplv1widget.ui

RESOURCES += samplv1.qrc


unix {

	DEFINES += CONFIG_ALSA_MIDI
	LIBS += -lasound -lpthread

	INSTALLS += target

	isEmpty(PREFIX) {
		PREFIX = ~/bin
	#	PREFIX = /usr/local/bin
	#	PREFIX = /usr/bin
	}

	target.path = $${PREFIX}
}

win32 {
	INCLUDEPATH += /usr/local/include
	LIBS += -L/usr/local/lib
}

QMAKE_CXXFLAGS += -msse -mfpmath=sse -ffast-math

QT += xml
